bugcolor-theme - Bugs: bug #29142, Add a version variable or some...

 
 

bug #29142: Add a version variable or some other way to test version

Submitted by:  None
Submitted on:  Tue 09 Mar 2010 05:31:06 PM UTC  
 
Category: NoneSeverity: 3 - Normal
Item Group: General errorStatus: None
Assigned to: NoneOpen/Closed: Open
Reproducibility: Every Time
Step by step reproducibility: 

I don't see any obvious way to distinguish different versions of color-theme (e.g. no variable to test). Perhaps there is a function or variable that I could test now (using fboundp or boundp), which is not defined in versions prior to 6.6.0? In ignorance of that, I'm doing this currently:
... (and (prog1 (require 'color-theme nil t)
(load-library "color-theme-library"))
...)...
I use `load-library' because there is no feature to require (see bug #29141). I use the prog1 because I don't know how to distinguish color-theme versions, and I need the `and' to tell me whether color-themes, hopefully including the available themes, was loaded.

So my request is to add both `(provide 'color-theme-library)' (see bug #29141) and some way to distinguish versions. That won't really simplify my code, because I'll still need to do something like the above in order to handle older versions. But it would simplify things later, perhaps.

Add a New Comment (Rich MarkupRich Markup):
   

You are not logged in

Please log in, so followups can be emailed to you.

 

Tue 09 Mar 2010 05:31:06 PM UTC, original submission:
Anonymous

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach File(s):
   
   
Comment:
   

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

CC list is empty

 

Please enter the title of George Orwell's famous dystopian book (it's a date):

 

 

No Changes Have Been Made to This Item

Back to the top


Powered by Savane 3.1-cleanup